icons_format = "{icon}"

[theme]
theme = "slick"
#[theme.overrides]
#idle_bg = "#222222"
#separator_bg = "#222222"

[icons]
icons = "material-nf"

[[block]]
block = "focused_window"
[[bloack.format]]
full = " $title.str(max_w:15) "
short = " $title.str(max_w:10) "


[[block]]
block = "cpu"
interval = 1
format = " $icon $utilization"
format_alt = " $icon $frequency $boost"

[[block]]
block = "temperature"
interval = 1
format = " $icon $max"


[[block]]
block = "memory"
format = " $icon $mem_total_used_percents.eng(w:4)"
format_alt = " $icon $mem_total_used_percents.eng(w:2) S:$swap_used_percents.eng(w:2) "

[[block]]
block = "disk_space"
path = "/"
info_type = "available"
alert_unit = "GB"
interval = 60
warning = 20.0
alert = 10.0
format = " / $available.eng(w:2) "

[[block]]
block = "custom"
command = '''echo iGPU: `sudo intel_gpu_top -l | head -n4 | tail -n1 | awk '{print $9 "%"}'`'''
interval = 5

[[block]]
block = "nvidia_gpu"
interval = 1
format = "dGPU:$utilization $temperature $clocks"


[[block]]
block = "sound"
driver = "pulseaudio"
device_kind = "sink"
format = " $icon { $volume|} "
[[block.click]]
button = "left"
cmd = "pavucontrol"

[[block]]
block = "sound"
driver = "pulseaudio"
device_kind = "source"
format= " $icon "

[[block.click]]
button = "left"
cmd = "pactl set-source-mute @DEFAULT_SOURCE@ toggle"


[[block]]
block = "net"
format = " $icon {$signal_strength $ssid |Wired connection} ^icon_net_up$speed_up ^icon_net_down$speed_down "

[[block]]
block = "vpn"
driver = "mullvad"
interval = 10
format_connected = "VPN: $icon "
format_disconnected = "VPN: $icon "
state_connected = "good"
state_disconnected = "critical"

[[block]]
block = "external_ip"
format = " $city.str(max_w:3):$country_code"
interval = 60

[[block]]
block = "battery"
device = "BAT0"
interval = 1
format = " $icon $percentage {$power:$time|}"
full_format = " $icon $percentage"
charging_format = " $icon $percentage {$power:$time}"
missing_format = ""
good= 100
warning= 40
critical= 20


[[block]]
block = "time"
interval = 1
format = " $timestamp.datetime(f:'%a %d/%m %R:%S') "


